Package org.eclipse.net4j.util.lifecycle

# Class LifecycleEventAdapter

java.lang.Object
org.eclipse.net4j.util.lifecycle.LifecycleEventAdapter

All Implemented Interfaces:
  `EventListener`, `IListener`

public class LifecycleEventAdapter extends Object implements IListener
A `listener` that dispatches lifecycle `events` to methods that can be overridden by extenders.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`LifecycleEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`notifyEvent(IEvent event)`
`protected void`
`notifyLifecycleEvent(ILifecycleEvent event)`
`protected void`
`notifyOtherEvent(IEvent event)`
`protected void`
`onAboutToActivate(ILifecycle lifecycle)`
`protected void`
`onAboutToDeactivate(ILifecycle lifecycle)`
`protected void`
`onActivated(ILifecycle lifecycle)`
`protected void`
`onDeactivated(ILifecycle lifecycle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LifecycleEventAdapter

public LifecycleEventAdapter()

## Method Details

### notifyEvent

public final void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`

### notifyLifecycleEvent

protected void notifyLifecycleEvent(ILifecycleEvent event)

### notifyOtherEvent

protected void notifyOtherEvent(IEvent event)

### onAboutToActivate

protected void onAboutToActivate(ILifecycle lifecycle)

### onActivated

protected void onActivated(ILifecycle lifecycle)

### onAboutToDeactivate

protected void onAboutToDeactivate(ILifecycle lifecycle)

### onDeactivated

protected void onDeactivated(ILifecycle lifecycle)